site_name: Algorithm
nav:
    - Intro: README.md
    - Paradigm: paradigm.md
    - Implementation: implementation.md
    - Analysis:
          - Intro: analysis/README.md
          - Asymptotic Analysis: analysis/asymptotic.md
          - Amortized Analysis: analysis/amortized.md
          - Iterative Algorithms: analysis/iterative.md
          - Recursive Algorithms: analysis/recursive.md
    - Problems:
          - Intro: problems/README.md
          - Decision:
                - String Matching: problems/decision/string_matching.md
          - Search:
                - Permutation: problems/search/permutation.md
                - Searching: problems/search/searching.md
                - Selecting: problems/search/selecting.md
                - Sorting: problems/search/sorting.md
                - Traversing: problems/search/traversing.md
                - Parsing: problems/search/parsing.md
                - Graph: problems/search/graph.md
                - Spanning Tree: problems/search/spanning_tree.md
                - All-Pairs Shortest Paths: problems/search/all_pairs_shortest_paths.md
                - Max Flow: problems/search/max_flow.md
          - Counting:
                - Tower of Hanoi: problems/counting/hanoi.md
                - Largest Sum Continous SubArray: problems/counting/largest_sum.md
                - Huffman Coding: problems/counting/huffman.md
                - Scheduling: problems/counting/scheduling.md
                - Bounding Circle: problems/counting/bounding.md
                - Closest Pair: problems/counting/closest.md
          - Optimization:
                - Cut Rod: problems/optimization/cut_rod.md
                - Knapsack: problems/optimization/knapsack.md
                - Coin Change: problems/optimization/coin.md
                - Optimal BST: problems/optimization/obst.md
                - Matrix Chain Multiplication: problems/optimization/mcm.md
                - Longest Common Subsequence: problems/optimization/lcs.md
          - Function:
                - Hashing: problems/function/hashing.md
                - Arithmetic: problems/function/arithmetic.md
                - Fibonacci Series: problems/function/fibonacci.md
                - Polynomial Operations: problems/function/polynomial.md
                - Matrix Operations: problems/function/matrix.md
theme:
    name: "material"
markdown_extensions:
    - admonition
    - pymdownx.keys
    - pymdownx.emoji
    - pymdownx.tabbed
    - pymdownx.details
    - pymdownx.snippets
    - pymdownx.tasklist
    - pymdownx.arithmatex:
          generic: true
    - pymdownx.inlinehilite
    - pymdownx.highlight:
          linenums: true
    - pymdownx.superfences:
          custom_fences:
              - name: mermaid
                class: mermaid
                format: !!python/name:pymdownx.superfences.fence_div_format
extra_javascript:
    - https://unpkg.com/mermaid@8.6.4/dist/mermaid.min.js
    - https://polyfill.io/v3/polyfill.min.js?features=es6
    - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js
